package com.mortals.xhx.module.workman.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.workman.model.vo.WorkmanVo;
/**
* 工作人员实体对象
*
* @author zxfei
* @date 2023-04-08
*/

public class WorkmanEntity extends WorkmanVo {
    private static final long serialVersionUID = 1L;

    /**
    * 部门id号
    */
    private Long deptId;
    /**
    * 部门名称
    */
    private String deptName;
    /**
    * 姓名
    */
    private String name;
    /**
    * 工号
    */
    private String number;
    /**
    * 电话号码
    */
    private String phone;

    /**
     * 电话号码
     */
    private String mobile;

    /**
    * 照片
    */
    private String photoPath;



    public WorkmanEntity(){}
    /**
    * 获取 部门id号
    * @return Long
    */
    public Long getDeptId(){
        return deptId;
    }
    /**
    * 设置 部门id号
    * @param deptId
    */
    public void setDeptId(Long deptId){
        this.deptId = deptId;
    }
    /**
    * 获取 部门名称
    * @return String
    */
    public String getDeptName(){
        return deptName;
    }
    /**
    * 设置 部门名称
    * @param deptName
    */
    public void setDeptName(String deptName){
        this.deptName = deptName;
    }
    /**
    * 获取 姓名
    * @return String
    */
    public String getName(){
        return name;
    }
    /**
    * 设置 姓名
    * @param name
    */
    public void setName(String name){
        this.name = name;
    }
    /**
    * 获取 工号
    * @return String
    */
    public String getNumber(){
        return number;
    }
    /**
    * 设置 工号
    * @param number
    */
    public void setNumber(String number){
        this.number = number;
    }
    /**
    * 获取 电话号码
    * @return String
    */
    public String getPhone(){
        return phone;
    }
    /**
    * 设置 电话号码
    * @param phone
    */
    public void setPhone(String phone){
        this.phone = phone;
    }
    /**
    * 获取 照片
    * @return String
    */
    public String getPhotoPath(){
        return photoPath;
    }
    /**
    * 设置 照片
    * @param photoPath
    */
    public void setPhotoPath(String photoPath){
        this.photoPath = photoPath;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof WorkmanEntity) {
            WorkmanEntity tmp = (WorkmanEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",deptId:").append(getDeptId());
        sb.append(",deptName:").append(getDeptName());
        sb.append(",name:").append(getName());
        sb.append(",number:").append(getNumber());
        sb.append(",phone:").append(getPhone());
        sb.append(",photoPath:").append(getPhotoPath());
        return sb.toString();
    }

    public void initAttrValue(){

            this.deptId = 0L;

            this.deptName = "";

            this.name = "";

            this.number = "";

            this.phone = "";

            this.photoPath = "";
    }
}